VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::CategoryStub Class Reference

Remote stub implementation of the Category API service. More...

Inherits vmware::cis::tagging::Category.

List of all members.

## Public Member Functions
| CategoryStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Create (vmware.cis.tagging.CategoryTypes.CreateSpec createSpec)
| Creates a category.
string | Create (vmware.cis.tagging.CategoryTypes.CreateSpec createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a category.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.cis.tagging.CategoryTypes.CreateSpec createSpec)
| Creates a category.
global::System.Threading.Tasks.Task < string > | CreateAsync (vmware.cis.tagging.CategoryTypes.CreateSpec createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a category.
vmware.cis.tagging.CategoryModel | Get (string categoryId)
| Fetches the category information for the given category identifier.
vmware.cis.tagging.CategoryModel | Get (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the category information for the given category identifier.
global::System.Threading.Tasks.Task < vmware.cis.tagging.CategoryModel > | GetAsync (string categoryId)
| Fetches the category information for the given category identifier.
global::System.Threading.Tasks.Task < vmware.cis.tagging.CategoryModel > | GetAsync (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Fetches the category information for the given category identifier.
void | Update (string categoryId, vmware.cis.tagging.CategoryTypes.UpdateSpec updateSpec)
| Updates an existing category.
void | Update (string categoryId, vmware.cis.tagging.CategoryTypes.UpdateSpec updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates an existing category.
global::System.Threading.Tasks.Task | UpdateAsync (string categoryId, vmware.cis.tagging.CategoryTypes.UpdateSpec updateSpec)
| Updates an existing category.
global::System.Threading.Tasks.Task | UpdateAsync (string categoryId, vmware.cis.tagging.CategoryTypes.UpdateSpec updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates an existing category.
void | Delete (string categoryId)
| Deletes an existing category.
void | Delete (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing category.
global::System.Threading.Tasks.Task | DeleteAsync (string categoryId)
| Deletes an existing category.
global::System.Threading.Tasks.Task | DeleteAsync (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing category.
global::System.Collections.Generic.List < string > | List ()
| Enumerates the categories in the system.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates the categories in the system.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Enumerates the categories in the system.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates the categories in the system.
global::System.Collections.Generic.List < string > | ListUsedCategories (string usedByEntity)
| Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.
global::System.Collections.Generic.List < string > | ListUsedCategories (string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListUsedCategoriesAsync (string usedByEntity)
| Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListUsedCategoriesAsync (string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.
void | AddToUsedBy (string categoryId, string usedByEntity)
| Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.
void | AddToUsedBy (string categoryId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.
global::System.Threading.Tasks.Task | AddToUsedByAsync (string categoryId, string usedByEntity)
| Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.
global::System.Threading.Tasks.Task | AddToUsedByAsync (string categoryId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.
void | RemoveFromUsedBy (string categoryId, string usedByEntity)
| Removes the usedByEntity from the CategoryModel.usedBy subscribers set.
void | RemoveFromUsedBy (string categoryId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes the usedByEntity from the CategoryModel.usedBy subscribers set.
global::System.Threading.Tasks.Task | RemoveFromUsedByAsync (string categoryId, string usedByEntity)
| Removes the usedByEntity from the CategoryModel.usedBy subscribers set.
global::System.Threading.Tasks.Task | RemoveFromUsedByAsync (string categoryId, string usedByEntity, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes the usedByEntity from the CategoryModel.usedBy subscribers set.
void | RevokePropagatingPermissions (string categoryId)
| Revokes all propagating permissions on the given category.
void | RevokePropagatingPermissions (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Revokes all propagating permissions on the given category.
global::System.Threading.Tasks.Task | RevokePropagatingPermissionsAsync (string categoryId)
| Revokes all propagating permissions on the given category.
global::System.Threading.Tasks.Task | RevokePropagatingPermissionsAsync (string categoryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Revokes all propagating permissions on the given category.

## Detailed Description

Remote stub implementation of the Category API service.

## Constructor & Destructor Documentation

vmware::cis::tagging::CategoryStub::CategoryStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::cis::tagging::CategoryStub::AddToUsedBy | ( | string | categoryId,
|  | string | usedByEntity
| ) |  | `[inline]`

Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.

If the usedByEntity is already in the set, then this becomes an idempotent no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be added to the CategoryModel.usedBy set.

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::AddToUsedBy | ( | string | categoryId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.

If the usedByEntity is already in the set, then this becomes an idempotent no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be added to the CategoryModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::AddToUsedByAsync | ( | string | categoryId,
|  | string | usedByEntity
| ) |  | `[inline]`

Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.

If the usedByEntity is already in the set, then this becomes an idempotent no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be added to the CategoryModel.usedBy set.

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::AddToUsedByAsync | ( | string | categoryId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds the usedByEntity to the CategoryModel.usedBy subscribers set for the specified category.

If the usedByEntity is already in the set, then this becomes an idempotent no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to add an entity to the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be added to the CategoryModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

string vmware::cis::tagging::CategoryStub::Create | ( | vmware.cis.tagging.CategoryTypes.CreateSpec | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a category.

To invoke this method, you need the create category privilege.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.CreateSpec.name provided in the createSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the createSpec is invalid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create a category.

Parameters:

  createSpec | Specification for the new category to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the created category. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

string vmware::cis::tagging::CategoryStub::Create | ( | vmware.cis.tagging.CategoryTypes.CreateSpec | createSpec | ) | `[inline]`

Creates a category.

To invoke this method, you need the create category privilege.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.CreateSpec.name provided in the createSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the createSpec is invalid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create a category.

Parameters:

  createSpec | Specification for the new category to be created.

Returns:
  The identifier of the created category. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<string> vmware::cis::tagging::CategoryStub::CreateAsync | ( | vmware.cis.tagging.CategoryTypes.CreateSpec | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a category.

To invoke this method, you need the create category privilege.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.CreateSpec.name provided in the createSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the createSpec is invalid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create a category.

Parameters:

  createSpec | Specification for the new category to be created.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the created category. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<string> vmware::cis::tagging::CategoryStub::CreateAsync | ( | vmware.cis.tagging.CategoryTypes.CreateSpec | createSpec | ) | `[inline]`

Creates a category.

To invoke this method, you need the create category privilege.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.CreateSpec.name provided in the createSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the createSpec is invalid.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to create a category.

Parameters:

  createSpec | Specification for the new category to be created.

Returns:
  The identifier of the created category. The result will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::Delete | ( | string | categoryId | ) | `[inline]`

Deletes an existing category.

To invoke this method, you need the delete privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the category.

Parameters:

  categoryId | The identifier of category to be deleted. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::Delete | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes an existing category.

To invoke this method, you need the delete privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the category.

Parameters:

  categoryId | The identifier of category to be deleted. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::DeleteAsync | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes an existing category.

To invoke this method, you need the delete privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the category.

Parameters:

  categoryId | The identifier of category to be deleted. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::DeleteAsync | ( | string | categoryId | ) | `[inline]`

Deletes an existing category.

To invoke this method, you need the delete privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to delete the category.

Parameters:

  categoryId | The identifier of category to be deleted. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

vmware.cis.tagging.CategoryModel vmware::cis::tagging::CategoryStub::Get | ( | string | categoryId | ) | `[inline]`

Fetches the category information for the given category identifier.

In order to view the category information, you need the read privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Returns:
  The CategoryModel that corresponds to categoryId .

Implements vmware::cis::tagging::Category.

vmware.cis.tagging.CategoryModel vmware::cis::tagging::CategoryStub::Get | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Fetches the category information for the given category identifier.

In order to view the category information, you need the read privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The CategoryModel that corresponds to categoryId .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<vmware.cis.tagging.CategoryModel> vmware::cis::tagging::CategoryStub::GetAsync | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Fetches the category information for the given category identifier.

In order to view the category information, you need the read privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The CategoryModel that corresponds to categoryId .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<vmware.cis.tagging.CategoryModel> vmware::cis::tagging::CategoryStub::GetAsync | ( | string | categoryId | ) | `[inline]`

Fetches the category information for the given category identifier.

In order to view the category information, you need the read privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to read the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Returns:
  The CategoryModel that corresponds to categoryId .

Implements vmware::cis::tagging::Category.

global::System.Collections.Generic.List<string> vmware::cis::tagging::CategoryStub::List | ( |  | ) | `[inline]`

Enumerates the categories in the system.

To invoke this method, you need the read privilege on the individual categories. The list will only contain those categories for which you have read privileges.

Returns:
  The list of resource identifiers for the categories in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Collections.Generic.List<string> vmware::cis::tagging::CategoryStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Enumerates the categories in the system.

To invoke this method, you need the read privilege on the individual categories. The list will only contain those categories for which you have read privileges.

Returns:
  The list of resource identifiers for the categories in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::CategoryStub::ListAsync | ( |  | ) | `[inline]`

Enumerates the categories in the system.

To invoke this method, you need the read privilege on the individual categories. The list will only contain those categories for which you have read privileges.

Returns:
  The list of resource identifiers for the categories in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::CategoryStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Enumerates the categories in the system.

To invoke this method, you need the read privilege on the individual categories. The list will only contain those categories for which you have read privileges.

Returns:
  The list of resource identifiers for the categories in the system. The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Collections.Generic.List<string> vmware::cis::tagging::CategoryStub::ListUsedCategories | ( | string | usedByEntity | ) | `[inline]`

Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual categories.

Parameters:

  usedByEntity | The field on which the results will be filtered.

Returns:
  The list of resource identifiers for the categories in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Collections.Generic.List<string> vmware::cis::tagging::CategoryStub::ListUsedCategories | ( | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual categories.

Parameters:

  usedByEntity | The field on which the results will be filtered.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of resource identifiers for the categories in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::CategoryStub::ListUsedCategoriesAsync | ( | string | usedByEntity | ) | `[inline]`

Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual categories.

Parameters:

  usedByEntity | The field on which the results will be filtered.

Returns:
  The list of resource identifiers for the categories in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::cis::tagging::CategoryStub::ListUsedCategoriesAsync | ( | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Enumerates all categories for which the usedByEntity is part of the CategoryModel.usedBy subscribers set.

To invoke this method, you need the read privilege on the individual categories.

Parameters:

  usedByEntity | The field on which the results will be filtered.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The list of resource identifiers for the categories in the system that are used by usedByEntity . The result will contain identifiers for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::RemoveFromUsedBy | ( | string | categoryId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes the usedByEntity from the CategoryModel.usedBy subscribers set.

If the usedByEntity is not using this category, then this becomes a no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be removed from the CategoryModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::RemoveFromUsedBy | ( | string | categoryId,
|  | string | usedByEntity
| ) |  | `[inline]`

Removes the usedByEntity from the CategoryModel.usedBy subscribers set.

If the usedByEntity is not using this category, then this becomes a no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be removed from the CategoryModel.usedBy set.

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::RemoveFromUsedByAsync | ( | string | categoryId,
|  | string | usedByEntity,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes the usedByEntity from the CategoryModel.usedBy subscribers set.

If the usedByEntity is not using this category, then this becomes a no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be removed from the CategoryModel.usedBy set.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::RemoveFromUsedByAsync | ( | string | categoryId,
|  | string | usedByEntity
| ) |  | `[inline]`

Removes the usedByEntity from the CategoryModel.usedBy subscribers set.

If the usedByEntity is not using this category, then this becomes a no-op. To invoke this method, you need the modify CategoryModel.usedBy privilege on the category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to remove an entity from the CategoryModel.usedBy field.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  usedByEntity | The name of the user to be removed from the CategoryModel.usedBy set.

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::RevokePropagatingPermissions | ( | string | categoryId | ) | `[inline]`

Revokes all propagating permissions on the given category.

You should then attach a direct permission with tagging privileges on the given category. To invoke this method, you need category related privileges (direct or propagating) on the concerned category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::RevokePropagatingPermissions | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Revokes all propagating permissions on the given category.

You should then attach a direct permission with tagging privileges on the given category. To invoke this method, you need category related privileges (direct or propagating) on the concerned category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::RevokePropagatingPermissionsAsync | ( | string | categoryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Revokes all propagating permissions on the given category.

You should then attach a direct permission with tagging privileges on the given category. To invoke this method, you need category related privileges (direct or propagating) on the concerned category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::RevokePropagatingPermissionsAsync | ( | string | categoryId | ) | `[inline]`

Revokes all propagating permissions on the given category.

You should then attach a direct permission with tagging privileges on the given category. To invoke this method, you need category related privileges (direct or propagating) on the concerned category.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to revoke propagating permissions on the category.

Parameters:

  categoryId | The identifier of the input category. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::Update | ( | string | categoryId,
|  | vmware.cis.tagging.CategoryTypes.UpdateSpec | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates an existing category.

To invoke this method, you need the edit privilege on the category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.UpdateSpec.name provided in the updateSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the category.

Parameters:

  categoryId | The identifier of the category to be updated. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  updateSpec | Specification to update the category.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

void vmware::cis::tagging::CategoryStub::Update | ( | string | categoryId,
|  | vmware.cis.tagging.CategoryTypes.UpdateSpec | updateSpec
| ) |  | `[inline]`

Updates an existing category.

To invoke this method, you need the edit privilege on the category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.UpdateSpec.name provided in the updateSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the category.

Parameters:

  categoryId | The identifier of the category to be updated. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  updateSpec | Specification to update the category.

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::UpdateAsync | ( | string | categoryId,
|  | vmware.cis.tagging.CategoryTypes.UpdateSpec | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates an existing category.

To invoke this method, you need the edit privilege on the category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.UpdateSpec.name provided in the updateSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the category.

Parameters:

  categoryId | The identifier of the category to be updated. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  updateSpec | Specification to update the category.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::cis::tagging::Category.

global::System.Threading.Tasks.Task vmware::cis::tagging::CategoryStub::UpdateAsync | ( | string | categoryId,
|  | vmware.cis.tagging.CategoryTypes.UpdateSpec | updateSpec
| ) |  | `[inline]`

Updates an existing category.

To invoke this method, you need the edit privilege on the category.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | if the Category.UpdateSpec.name provided in the updateSpec is the name of an already existing category.
  vmware.vapi.std.errors.InvalidArgument | if any of the information in the updateSpec is invalid.
  vmware.vapi.std.errors.NotFound | if the category for the given categoryId does not exist in the system.
  vmware.vapi.std.errors.Unauthorized | if you do not have the privilege to update the category.

Parameters:

  categoryId | The identifier of the category to be updated. The parameter must be an identifier for the resource type: `com.vmware.cis.tagging.Category` .
  updateSpec | Specification to update the category.

Implements vmware::cis::tagging::Category.

The documentation for this class was generated from the following file:

- CategoryStub.cs